Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 431684 - app-benchmarks/bonnie++-1.96: manpage references ebuild-altered docpath
Summary: app-benchmarks/bonnie++-1.96: manpage references ebuild-altered docpath
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Göktürk Yüksek
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-16 22:07 UTC by Walter
Modified: 2016-02-23 00:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Walter 2012-08-16 22:07:15 UTC
The man page installed with bonnie++ references /usr/share/doc/bonnie++/readme.html however the path is changed by the ebuild based install to /usr/share/doc/bonnie++-1.96/readme.html (or similar).

Either the man page should be patched (bad solution), or a symlink should be installed by the ebuild in /usr/share/doc (good solution)

Reproducible: Always

Steps to Reproduce:
1. emerge bonnie++
2. man bonnie++
3. See 'all tests are explained in /usr/share/doc/bonnie++/readme.html' text
4. Look for /usr/share/doc/bonnie++/readme.html
5. Fail.
Actual Results:  
/usr/share/doc/bonnie++/readme.html does not exist

Expected Results:  
/usr/share/doc/bonnie++/readme.html exists
Comment 1 Göktürk Yüksek gentoo-dev 2016-02-13 04:03:24 UTC
Pull Request is submitted on GitHub: https://github.com/gentoo/gentoo/pull/845
Comment 2 Patrice Clement gentoo-dev 2016-02-23 00:04:45 UTC
commit 3f6681284b8ba2a4f2127ccb3aa0c7d8e84d731d (HEAD -> master)
Merge: 41cac8c 8592f93
Author: Patrice Clement <monsieurp@gentoo.org>
Date:   Mon Feb 22 23:46:38 2016 +0000

    Merge github#845: app-benchmarks/bonnie++: fixes a couple of bugs and bump to EAPI 6.
    
    This PR fixes 3 bugs and updates bonnie++ to EAPI 6 courtesy of Göktürk Yüksek.
    
    Pull-Request: https://github.com/gentoo/gentoo/pull/845
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=309319
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=431684
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=515334
    
    Reporter: Göktürk Yüksek <gokturk@binghamton.edu>
    Acked-by: David Seifert <soap@gentoo.org>
    Signed-off-by: Patrice Clement <monsieurp@gentoo.org>